AsterNet Class Library (Sandcastle documentation)

| AGIScript StreamFile Method (String, String)

Plays the given file and allows the user to escape by pressing one of the given digit.

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    protected char StreamFile(
    	string file,
    	string escapeDigits
    )

    Protected Function StreamFile (
    	file As String,
    	escapeDigits As String
    ) As Char

    protected:
    wchar_t StreamFile(
    	String^ file,
    	String^ escapeDigits
    )

    member StreamFile :
            file : string *
            escapeDigits : string -> char

#### Parameters

file
  Type: System
  String
  name of the file to play.
escapeDigits
  Type: System
  String
  a String containing the DTMF digits that allow the user to escape.

#### Return Value

Type: Char
the DTMF digit pressed or 0x0 if none was pressed.
See Also

#### Reference

AGIScript Class
StreamFile Overload
AsterNET.FastAGI Namespace